<div #backgroundyt (window:resize)="resize()"
     [class.blur]="wheelService.next === undefined"
     [class.fade]="wheelService.current === undefined"
     class="background-yt">
    <div>
        <iframe *ngIf="wheelService.current !== undefined"
                [height]="height" [src]="url()" [width]="width"
                allow="autoplay; encrypted-media; picture-in-picture" frameborder="0"></iframe>
    </div>
</div>

<div [class.fade]="wheelService.next !== undefined" class="queue-list container mt-5">
    <div class="row">
        <div (click)="wheelService.choose(i)" (contextmenu)="wheelService.ban($event, i)"
             *ngFor="let item of wheelService.wheel; let i = index"
             class="col-6 m-0 p-2">
            <div class="p-0 m-0 queue-item media">
                <div class="queue-nr pl-4 pr-3">{{i}}</div>
                <div class="media-body px-4 align-middle">
                    <span class="queue-name">{{item.name}}</span><br>
                    <span class="queue-user">{{item.user}}</span>
                </div>
                <img [src]="item.thumb">
            </div>
        </div>
    </div>
</div>
